%define	name	ecore
%define version 20131105
%define release %mkrel 1
%define realversion 1.7.9

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d


Summary: 	Enlightenment event/X abstraction layer
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://www.enlightenment.org/
Source: 	%{name}-%realversion.tar.xz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
# Common
BuildRequires:	openssl-devel
BuildRequires:  curl-devel
BuildRequires:	X11-devel
# Enlightenment BR
BuildRequires:	eina-devel
BuildRequires: 	eet-devel
BuildRequires:  evas-devel
BuildRequires:  ibus-devel
BuildRequires:  scim-devel

%description
%{name} libraries.

%package ibus
Summary: %{name} ibus module
Group: 		Graphical desktop/Enlightenment
Requires: %name = %{version}-%{release}
Requires: ibus

%description ibus
%{name} ibus module.


%package scim
Summary: %{name} scim module.
Group: 		Graphical desktop/Enlightenment
Requires: %name = %{version}-%{release}
Requires: scim

%description scim
%{name} scim module.


%package devel
Summary: Headers and development libraries from %{name}
Group: Development/Libraries
Requires: %name = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}

%description devel
%{name} development headers and libraries.

%prep
%setup -q -n %{name}-%{realversion}

%build
%configure2_5x --enable-ecore-fb \
	--enable-ecore-sdl \
	--enable-openssl \
	--enable-curl \
	--disable-static \
	--disable-ecore-x-randr

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_libdir}/*.so.%{major}*
%{_datadir}/locale/*/LC_MESSAGES/ecore.mo
%{_libdir}/ecore/immodules/xim.so

%files ibus
%defattr(-,root,root)
%{_libdir}/ecore/immodules/ibus.so

%files scim
%defattr(-,root,root)
%{_libdir}/ecore/immodules/scim.so


%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_includedir}/ecore-1


%changelog
* Tue Nov 05 2013 Texstar <texstar at gmail.com> 20131105-1pclos2013
- 1.7.9
